# ARXLattice.Anonymity (ARX API Documentation)

org.deidentifier.arx

## Enum ARXLattice.Anonymity

- java.lang.Object
- - java.lang.Enum<ARXLattice.Anonymity>
  - - org.deidentifier.arx.ARXLattice.Anonymity

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ARXLattice.Anonymity>
  Enclosing class:
    ARXLattice

      public static enum ARXLattice.Anonymity
      extends java.lang.Enum<ARXLattice.Anonymity>

  ReflectS different anonymity properties

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANONYMOUS` ANONYMOUS
    `NOT_ANONYMOUS` NOT_ANONYMOUS
    `PROBABLY_ANONYMOUS` PROBABLY_ANONYMOUS
    `PROBABLY_NOT_ANONYMOUS` PROBABLY_NOT_ANONYMOUS
    `UNKNOWN` UNKNOWN

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ARXLattice.Anonymity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ARXLattice.Anonymity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANONYMOUS

          public static final ARXLattice.Anonymity ANONYMOUS

      ANONYMOUS

    - #### NOT_ANONYMOUS

          public static final ARXLattice.Anonymity NOT_ANONYMOUS

      NOT_ANONYMOUS

    - #### UNKNOWN

          public static final ARXLattice.Anonymity UNKNOWN

      UNKNOWN

    - #### PROBABLY_ANONYMOUS

          public static final ARXLattice.Anonymity PROBABLY_ANONYMOUS

      PROBABLY_ANONYMOUS

    - #### PROBABLY_NOT_ANONYMOUS

          public static final ARXLattice.Anonymity PROBABLY_NOT_ANONYMOUS

      PROBABLY_NOT_ANONYMOUS

  - ### Method Detail

    - #### values

          public static ARXLattice.Anonymity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ARXLattice.Anonymity c : ARXLattice.Anonymity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ARXLattice.Anonymity valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null